#include <bits/stdc++.h>
using namespace std;
int main()
{
    int h,w;
    scanf("%d%d",&h,&w);
    getchar();
    for(int i=0;i<h*w;i++)
        {c=getchar(); c=getchar();}
    printf("-1");
    return 0;
}